<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>Progress (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Progress (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":6,"i2":9,"i3":6,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/task/progress/Progress.html" target="_top">Frames</a></li>
<li><a href="Progress.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.task.progress</div>
<h2 title="Class Progress" class="title">Class Progress</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.task.progress.Progress</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Progress</span>
extends java.lang.Object</pre>
<div class="block">A progress object describes the progress of an operation, specifying
 either a percentage of completion or a status of indeterminacy.

 <p>Progress objects are immutable.</p>

 <p>To create a new instance, use one of the static constructors
 on this class.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#completed--">completed</a></span>()</code>
<div class="block">Get a static progress object that is complete.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#getProgress--">getProgress</a></span>()</code>
<div class="block">Get the progress percentage.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#indeterminate--">indeterminate</a></span>()</code>
<div class="block">Get a static progress object that is indeterminate.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>abstract boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#isIndeterminate--">isIndeterminate</a></span>()</code>
<div class="block">Return whether the current progress is indeterminate.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#of-double-">of</a></span>(double&nbsp;value)</code>
<div class="block">Create a new progress object with the given percentage.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#split-java.util.Collection-">split</a></span>(java.util.Collection&lt;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&gt;&nbsp;progress)</code>
<div class="block">Create a new progress object with progress split equally between the
 given progress objects.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#split-com.sk89q.worldedit.util.task.progress.Progress...-">split</a></span>(<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>...&nbsp;objects)</code>
<div class="block">Create a new progress object with progress split equally between the
 given progress objects.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#splitObservables-java.util.Collection-">splitObservables</a></span>(java.util.Collection&lt;? extends <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>&gt;&nbsp;observables)</code>
<div class="block">Create a new progress object with progress split equally between the
 given <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><code>ProgressObservable</code></a>s.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#splitObservables-com.sk89q.worldedit.util.task.progress.ProgressObservable...-">splitObservables</a></span>(<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>...&nbsp;observables)</code>
<div class="block">Create a new progress object with progress split equally between the
 given <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><code>ProgressObservable</code></a>s.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isIndeterminate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIndeterminate</h4>
<pre>public abstract&nbsp;boolean&nbsp;isIndeterminate()</pre>
<div class="block">Return whether the current progress is indeterminate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if indeterminate</dd>
</dl>
</li>
</ul>
<a name="getProgress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProgress</h4>
<pre>public abstract&nbsp;double&nbsp;getProgress()</pre>
<div class="block">Get the progress percentage.

 <p>If <a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html#isIndeterminate--"><code>isIndeterminate()</code></a> returns <code>true</code>, the behavior
 of this method is undefined.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a number in the range [0, 1]</dd>
</dl>
</li>
</ul>
<a name="indeterminate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indeterminate</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;indeterminate()</pre>
<div class="block">Get a static progress object that is indeterminate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a progress object</dd>
</dl>
</li>
</ul>
<a name="completed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>completed</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;completed()</pre>
<div class="block">Get a static progress object that is complete.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a progress object</dd>
</dl>
</li>
</ul>
<a name="of-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>of</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;of(double&nbsp;value)</pre>
<div class="block">Create a new progress object with the given percentage.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the percentage, which will be clamped to [0, 1]</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a progress object</dd>
</dl>
</li>
</ul>
<a name="split-com.sk89q.worldedit.util.task.progress.Progress...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>split</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;split(<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>...&nbsp;objects)</pre>
<div class="block">Create a new progress object with progress split equally between the
 given progress objects.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objects</code> - an array of progress objects</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new progress value</dd>
</dl>
</li>
</ul>
<a name="split-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>split</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;split(java.util.Collection&lt;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&gt;&nbsp;progress)</pre>
<div class="block">Create a new progress object with progress split equally between the
 given progress objects.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>progress</code> - a collection of progress objects</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new progress value</dd>
</dl>
</li>
</ul>
<a name="splitObservables-com.sk89q.worldedit.util.task.progress.ProgressObservable...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitObservables</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;splitObservables(<a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>...&nbsp;observables)</pre>
<div class="block">Create a new progress object with progress split equally between the
 given <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><code>ProgressObservable</code></a>s.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observables</code> - an array of observables</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new progress value</dd>
</dl>
</li>
</ul>
<a name="splitObservables-java.util.Collection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>splitObservables</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/util/task/progress/Progress.html" title="class in com.sk89q.worldedit.util.task.progress">Progress</a>&nbsp;splitObservables(java.util.Collection&lt;? extends <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress">ProgressObservable</a>&gt;&nbsp;observables)</pre>
<div class="block">Create a new progress object with progress split equally between the
 given <a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressObservable.html" title="interface in com.sk89q.worldedit.util.task.progress"><code>ProgressObservable</code></a>s.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observables</code> - a collection of observables</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new progress value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../com/sk89q/worldedit/util/task/progress/ProgressIterator.html" title="class in com.sk89q.worldedit.util.task.progress"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/task/progress/Progress.html" target="_top">Frames</a></li>
<li><a href="Progress.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
